Loading...
Searching...
No Matches
GaussianSetTools Class Reference

Provide tools to calculate molecular orbitals, electron densities and other derived data stored in a GaussianSet result. More...

`#include <avogadro/core/gaussiansettools.h>`

## Public Member Functions

| GaussianSetTools (Molecule *mol=nullptr)
void | setElectronType (BasisSet::ElectronType type)
| Set the electron type, must be called once MOs are available.
bool | calculateMolecularOrbital (Cube &cube, int molecularOrbitalNumber) const
| Populate the cube with values for the molecular orbital.
double | calculateMolecularOrbital (const Vector3 &position, int molecularOrbitalNumber) const
| Calculate the value of the specified molecular orbital at the position specified.
bool | calculateElectronDensity (Cube &cube) const
| Populate the cube with values for the electron density.
double | calculateElectronDensity (const Vector3 &position) const
| Calculate the value of the electron density at the position specified.
bool | calculateSpinDensity (Cube &cube) const
| Populate the cube with values for the spin density.
double | calculateSpinDensity (const Vector3 &position) const
| Calculate the value of the electron spin density at the position specified.
bool | isValid () const
| Check that the basis set is valid and can be used.

## Detailed Description

Author
  Marcus D. Hanwell

## Member Function Documentation

## setElectronType()

void setElectronType | ( | BasisSet::ElectronType | type | ) |

Parameters

  type | The electron type - Alpha, Beta, or Paired (default).

## calculateMolecularOrbital() [1/2]

bool calculateMolecularOrbital | ( | Cube & | cube,
|  | int | molecularOrbitalNumber ) const

Parameters

  cube | The cube to be populated with values.
  molecularOrbitalNumber | The molecular orbital number.

Returns
  True on success, false on failure.

## calculateMolecularOrbital() [2/2]

double calculateMolecularOrbital | ( | const Vector3 & | position,
|  | int | molecularOrbitalNumber ) const

Parameters

  position | The position in space to calculate the value.
  molecularOrbitalNumber | The molecular orbital number.

Returns
  The value of the molecular orbital at the position specified.

## calculateElectronDensity() [1/2]

bool calculateElectronDensity | ( | Cube & | cube | ) | const

Parameters

  cube | The cube to be populated with values.

Returns
  True on success, false on failure.

## calculateElectronDensity() [2/2]

double calculateElectronDensity | ( | const Vector3 & | position | ) | const

Parameters

  position | The position in space to calculate the value.

Returns
  The value of the electron density at the position specified.

## calculateSpinDensity() [1/2]

bool calculateSpinDensity | ( | Cube & | cube | ) | const

Parameters

  cube | The cube to be populated with values.

Returns
  True on success, false on failure.

## calculateSpinDensity() [2/2]

double calculateSpinDensity | ( | const Vector3 & | position | ) | const

Parameters

  position | The position in space to calculate the value.

Returns
  The value of the spin density at the position specified.

## isValid()

bool isValid | ( |  | ) | const

Returns
  True if valid, false otherwise.

The documentation for this class was generated from the following file:

- gaussiansettools.h